
package com.agilex.healthcare.schedulingmanager.mdws.generatedwsdl.queryservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.agilex.healthcare.schedulingmanager.mdws.generatedwsdl.queryservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TaggedTextArray_QNAME = new QName("http://mdws.domain/QuerySvc", "TaggedTextArray");
    private final static QName _SiteTO_QNAME = new QName("http://mdws.domain/QuerySvc", "SiteTO");
    private final static QName _PatientTO_QNAME = new QName("http://mdws.domain/QuerySvc", "PatientTO");
    private final static QName _String_QNAME = new QName("http://mdws.domain/QuerySvc", "string");
    private final static QName _RegionArray_QNAME = new QName("http://mdws.domain/QuerySvc", "RegionArray");
    private final static QName _TaggedText_QNAME = new QName("http://mdws.domain/QuerySvc", "TaggedText");
    private final static QName _TextArray_QNAME = new QName("http://mdws.domain/QuerySvc", "TextArray");
    private final static QName _UserTO_QNAME = new QName("http://mdws.domain/QuerySvc", "UserTO");
    private final static QName _DataSourceArray_QNAME = new QName("http://mdws.domain/QuerySvc", "DataSourceArray");
    private final static QName _VistaFileTO_QNAME = new QName("http://mdws.domain/QuerySvc", "VistaFileTO");
    private final static QName _XRefArray_QNAME = new QName("http://mdws.domain/QuerySvc", "XRefArray");
    private final static QName _SiteArray_QNAME = new QName("http://mdws.domain/QuerySvc", "SiteArray");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.agilex.healthcare.schedulingmanager.mdws.generatedwsdl.queryservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ArrayOfSiteTO }
     * 
     */
    public ArrayOfSiteTO createArrayOfSiteTO() {
        return new ArrayOfSiteTO();
    }

    /**
     * Create an instance of {@link ArrayOfTimeSlotTO }
     * 
     */
    public ArrayOfTimeSlotTO createArrayOfTimeSlotTO() {
        return new ArrayOfTimeSlotTO();
    }

    /**
     * Create an instance of {@link PersonArray }
     * 
     */
    public PersonArray createPersonArray() {
        return new PersonArray();
    }

    /**
     * Create an instance of {@link ArrayOfDemographicSetTO }
     * 
     */
    public ArrayOfDemographicSetTO createArrayOfDemographicSetTO() {
        return new ArrayOfDemographicSetTO();
    }

    /**
     * Create an instance of {@link GetFile }
     * 
     */
    public GetFile createGetFile() {
        return new GetFile();
    }

    /**
     * Create an instance of {@link SetVha }
     * 
     */
    public SetVha createSetVha() {
        return new SetVha();
    }

    /**
     * Create an instance of {@link ArrayOfInt }
     * 
     */
    public ArrayOfInt createArrayOfInt() {
        return new ArrayOfInt();
    }

    /**
     * Create an instance of {@link PatientTO }
     * 
     */
    public PatientTO createPatientTO() {
        return new PatientTO();
    }

    /**
     * Create an instance of {@link GetMDWSVersion }
     * 
     */
    public GetMDWSVersion createGetMDWSVersion() {
        return new GetMDWSVersion();
    }

    /**
     * Create an instance of {@link VisitSite }
     * 
     */
    public VisitSite createVisitSite() {
        return new VisitSite();
    }

    /**
     * Create an instance of {@link DataSourceArray }
     * 
     */
    public DataSourceArray createDataSourceArray() {
        return new DataSourceArray();
    }

    /**
     * Create an instance of {@link GetXRefsResponse }
     * 
     */
    public GetXRefsResponse createGetXRefsResponse() {
        return new GetXRefsResponse();
    }

    /**
     * Create an instance of {@link AbstractTaggedArrayTO }
     * 
     */
    public AbstractTaggedArrayTO createAbstractTaggedArrayTO() {
        return new AbstractTaggedArrayTO();
    }

    /**
     * Create an instance of {@link SitesHavePatchResponse }
     * 
     */
    public SitesHavePatchResponse createSitesHavePatchResponse() {
        return new SitesHavePatchResponse();
    }

    /**
     * Create an instance of {@link GetSites }
     * 
     */
    public GetSites createGetSites() {
        return new GetSites();
    }

    /**
     * Create an instance of {@link RegionArray }
     * 
     */
    public RegionArray createRegionArray() {
        return new RegionArray();
    }

    /**
     * Create an instance of {@link ArrayOfPersonTO }
     * 
     */
    public ArrayOfPersonTO createArrayOfPersonTO() {
        return new ArrayOfPersonTO();
    }

    /**
     * Create an instance of {@link ArrayOfBoolean }
     * 
     */
    public ArrayOfBoolean createArrayOfBoolean() {
        return new ArrayOfBoolean();
    }

    /**
     * Create an instance of {@link StringArray }
     * 
     */
    public StringArray createStringArray() {
        return new StringArray();
    }

    /**
     * Create an instance of {@link DdrGetsEntry }
     * 
     */
    public DdrGetsEntry createDdrGetsEntry() {
        return new DdrGetsEntry();
    }

    /**
     * Create an instance of {@link ArrayOfRegionTO }
     * 
     */
    public ArrayOfRegionTO createArrayOfRegionTO() {
        return new ArrayOfRegionTO();
    }

    /**
     * Create an instance of {@link AddressTO }
     * 
     */
    public AddressTO createAddressTO() {
        return new AddressTO();
    }

    /**
     * Create an instance of {@link GetVHAResponse }
     * 
     */
    public GetVHAResponse createGetVHAResponse() {
        return new GetVHAResponse();
    }

    /**
     * Create an instance of {@link TaggedTextArray }
     * 
     */
    public TaggedTextArray createTaggedTextArray() {
        return new TaggedTextArray();
    }

    /**
     * Create an instance of {@link DemographicSetTO }
     * 
     */
    public DemographicSetTO createDemographicSetTO() {
        return new DemographicSetTO();
    }

    /**
     * Create an instance of {@link Select }
     * 
     */
    public Select createSelect() {
        return new Select();
    }

    /**
     * Create an instance of {@link SetVhaResponse }
     * 
     */
    public SetVhaResponse createSetVhaResponse() {
        return new SetVhaResponse();
    }

    /**
     * Create an instance of {@link FaultTO }
     * 
     */
    public FaultTO createFaultTO() {
        return new FaultTO();
    }

    /**
     * Create an instance of {@link ArrayOfAddressTO }
     * 
     */
    public ArrayOfAddressTO createArrayOfAddressTO() {
        return new ArrayOfAddressTO();
    }

    /**
     * Create an instance of {@link SelectResponse }
     * 
     */
    public SelectResponse createSelectResponse() {
        return new SelectResponse();
    }

    /**
     * Create an instance of {@link TextArray }
     * 
     */
    public TextArray createTextArray() {
        return new TextArray();
    }

    /**
     * Create an instance of {@link SitesHavePatch }
     * 
     */
    public SitesHavePatch createSitesHavePatch() {
        return new SitesHavePatch();
    }

    /**
     * Create an instance of {@link AddDataSourceResponse }
     * 
     */
    public AddDataSourceResponse createAddDataSourceResponse() {
        return new AddDataSourceResponse();
    }

    /**
     * Create an instance of {@link XRefTO }
     * 
     */
    public XRefTO createXRefTO() {
        return new XRefTO();
    }

    /**
     * Create an instance of {@link Connect }
     * 
     */
    public Connect createConnect() {
        return new Connect();
    }

    /**
     * Create an instance of {@link AddDataSource }
     * 
     */
    public AddDataSource createAddDataSource() {
        return new AddDataSource();
    }

    /**
     * Create an instance of {@link ArrayOfDataSourceTO }
     * 
     */
    public ArrayOfDataSourceTO createArrayOfDataSourceTO() {
        return new ArrayOfDataSourceTO();
    }

    /**
     * Create an instance of {@link Disconnect }
     * 
     */
    public Disconnect createDisconnect() {
        return new Disconnect();
    }

    /**
     * Create an instance of {@link DdrGetsEntryResponse }
     * 
     */
    public DdrGetsEntryResponse createDdrGetsEntryResponse() {
        return new DdrGetsEntryResponse();
    }

    /**
     * Create an instance of {@link DdrLister }
     * 
     */
    public DdrLister createDdrLister() {
        return new DdrLister();
    }

    /**
     * Create an instance of {@link RegionTO }
     * 
     */
    public RegionTO createRegionTO() {
        return new RegionTO();
    }

    /**
     * Create an instance of {@link VisitSiteResponse }
     * 
     */
    public VisitSiteResponse createVisitSiteResponse() {
        return new VisitSiteResponse();
    }

    /**
     * Create an instance of {@link UserTO }
     * 
     */
    public UserTO createUserTO() {
        return new UserTO();
    }

    /**
     * Create an instance of {@link TaggedText }
     * 
     */
    public TaggedText createTaggedText() {
        return new TaggedText();
    }

    /**
     * Create an instance of {@link GetVHA }
     * 
     */
    public GetVHA createGetVHA() {
        return new GetVHA();
    }

    /**
     * Create an instance of {@link DisconnectResponse }
     * 
     */
    public DisconnectResponse createDisconnectResponse() {
        return new DisconnectResponse();
    }

    /**
     * Create an instance of {@link RunRpc }
     * 
     */
    public RunRpc createRunRpc() {
        return new RunRpc();
    }

    /**
     * Create an instance of {@link TeamTO }
     * 
     */
    public TeamTO createTeamTO() {
        return new TeamTO();
    }

    /**
     * Create an instance of {@link HospitalLocationTO }
     * 
     */
    public HospitalLocationTO createHospitalLocationTO() {
        return new HospitalLocationTO();
    }

    /**
     * Create an instance of {@link ArrayOfXRefTO }
     * 
     */
    public ArrayOfXRefTO createArrayOfXRefTO() {
        return new ArrayOfXRefTO();
    }

    /**
     * Create an instance of {@link TimeSlotArray }
     * 
     */
    public TimeSlotArray createTimeSlotArray() {
        return new TimeSlotArray();
    }

    /**
     * Create an instance of {@link RunRpcResponse }
     * 
     */
    public RunRpcResponse createRunRpcResponse() {
        return new RunRpcResponse();
    }

    /**
     * Create an instance of {@link SiteArray }
     * 
     */
    public SiteArray createSiteArray() {
        return new SiteArray();
    }

    /**
     * Create an instance of {@link VistaFieldTO }
     * 
     */
    public VistaFieldTO createVistaFieldTO() {
        return new VistaFieldTO();
    }

    /**
     * Create an instance of {@link GetFileResponse }
     * 
     */
    public GetFileResponse createGetFileResponse() {
        return new GetFileResponse();
    }

    /**
     * Create an instance of {@link SiteHasPatchResponse }
     * 
     */
    public SiteHasPatchResponse createSiteHasPatchResponse() {
        return new SiteHasPatchResponse();
    }

    /**
     * Create an instance of {@link AbstractArrayTO }
     * 
     */
    public AbstractArrayTO createAbstractArrayTO() {
        return new AbstractArrayTO();
    }

    /**
     * Create an instance of {@link PhoneNumTO }
     * 
     */
    public PhoneNumTO createPhoneNumTO() {
        return new PhoneNumTO();
    }

    /**
     * Create an instance of {@link GetSitesResponse }
     * 
     */
    public GetSitesResponse createGetSitesResponse() {
        return new GetSitesResponse();
    }

    /**
     * Create an instance of {@link SiteTO }
     * 
     */
    public SiteTO createSiteTO() {
        return new SiteTO();
    }

    /**
     * Create an instance of {@link GetXRefs }
     * 
     */
    public GetXRefs createGetXRefs() {
        return new GetXRefs();
    }

    /**
     * Create an instance of {@link DataSourceTO }
     * 
     */
    public DataSourceTO createDataSourceTO() {
        return new DataSourceTO();
    }

    /**
     * Create an instance of {@link ConnectResponse }
     * 
     */
    public ConnectResponse createConnectResponse() {
        return new ConnectResponse();
    }

    /**
     * Create an instance of {@link ArrayOfTaggedText }
     * 
     */
    public ArrayOfTaggedText createArrayOfTaggedText() {
        return new ArrayOfTaggedText();
    }

    /**
     * Create an instance of {@link PersonTO }
     * 
     */
    public PersonTO createPersonTO() {
        return new PersonTO();
    }

    /**
     * Create an instance of {@link ArrayOfString }
     * 
     */
    public ArrayOfString createArrayOfString() {
        return new ArrayOfString();
    }

    /**
     * Create an instance of {@link TimeSlotTO }
     * 
     */
    public TimeSlotTO createTimeSlotTO() {
        return new TimeSlotTO();
    }

    /**
     * Create an instance of {@link ArrayOfVistaFieldTO }
     * 
     */
    public ArrayOfVistaFieldTO createArrayOfVistaFieldTO() {
        return new ArrayOfVistaFieldTO();
    }

    /**
     * Create an instance of {@link DdrListerResponse }
     * 
     */
    public DdrListerResponse createDdrListerResponse() {
        return new DdrListerResponse();
    }

    /**
     * Create an instance of {@link XRefArray }
     * 
     */
    public XRefArray createXRefArray() {
        return new XRefArray();
    }

    /**
     * Create an instance of {@link Login }
     * 
     */
    public Login createLogin() {
        return new Login();
    }

    /**
     * Create an instance of {@link LoginResponse }
     * 
     */
    public LoginResponse createLoginResponse() {
        return new LoginResponse();
    }

    /**
     * Create an instance of {@link ArrayOfPhoneNumTO }
     * 
     */
    public ArrayOfPhoneNumTO createArrayOfPhoneNumTO() {
        return new ArrayOfPhoneNumTO();
    }

    /**
     * Create an instance of {@link SiteHasPatch }
     * 
     */
    public SiteHasPatch createSiteHasPatch() {
        return new SiteHasPatch();
    }

    /**
     * Create an instance of {@link GetMDWSVersionResponse }
     * 
     */
    public GetMDWSVersionResponse createGetMDWSVersionResponse() {
        return new GetMDWSVersionResponse();
    }

    /**
     * Create an instance of {@link VistaFileTO }
     * 
     */
    public VistaFileTO createVistaFileTO() {
        return new VistaFileTO();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TaggedTextArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "TaggedTextArray")
    public JAXBElement<TaggedTextArray> createTaggedTextArray(TaggedTextArray value) {
        return new JAXBElement<TaggedTextArray>(_TaggedTextArray_QNAME, TaggedTextArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SiteTO }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "SiteTO")
    public JAXBElement<SiteTO> createSiteTO(SiteTO value) {
        return new JAXBElement<SiteTO>(_SiteTO_QNAME, SiteTO.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PatientTO }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "PatientTO")
    public JAXBElement<PatientTO> createPatientTO(PatientTO value) {
        return new JAXBElement<PatientTO>(_PatientTO_QNAME, PatientTO.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "string")
    public JAXBElement<String> createString(String value) {
        return new JAXBElement<String>(_String_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RegionArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "RegionArray")
    public JAXBElement<RegionArray> createRegionArray(RegionArray value) {
        return new JAXBElement<RegionArray>(_RegionArray_QNAME, RegionArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TaggedText }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "TaggedText")
    public JAXBElement<TaggedText> createTaggedText(TaggedText value) {
        return new JAXBElement<TaggedText>(_TaggedText_QNAME, TaggedText.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TextArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "TextArray")
    public JAXBElement<TextArray> createTextArray(TextArray value) {
        return new JAXBElement<TextArray>(_TextArray_QNAME, TextArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UserTO }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "UserTO")
    public JAXBElement<UserTO> createUserTO(UserTO value) {
        return new JAXBElement<UserTO>(_UserTO_QNAME, UserTO.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataSourceArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "DataSourceArray")
    public JAXBElement<DataSourceArray> createDataSourceArray(DataSourceArray value) {
        return new JAXBElement<DataSourceArray>(_DataSourceArray_QNAME, DataSourceArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VistaFileTO }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "VistaFileTO")
    public JAXBElement<VistaFileTO> createVistaFileTO(VistaFileTO value) {
        return new JAXBElement<VistaFileTO>(_VistaFileTO_QNAME, VistaFileTO.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XRefArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "XRefArray")
    public JAXBElement<XRefArray> createXRefArray(XRefArray value) {
        return new JAXBElement<XRefArray>(_XRefArray_QNAME, XRefArray.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SiteArray }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://mdws.domain/QuerySvc", name = "SiteArray")
    public JAXBElement<SiteArray> createSiteArray(SiteArray value) {
        return new JAXBElement<SiteArray>(_SiteArray_QNAME, SiteArray.class, null, value);
    }

}
